import {
    valueAttributeSchema,
    priceSchema
} from "./Schemas/goodsAttributesSchemas";

const Joi = require('joi');


const createGoodsValidation = values => {

    const errors = {};
    const {
        valueAttribute,
        price
    } = values;



    Joi.validate({
        valueAttribute: valueAttribute
    }, valueAttributeSchema, (err) => {
        err && (
            errors.valueAttribute
                = "Допустимое количество символов от 1 до 20"
        );
    });

    Joi.validate({
        price: price
    }, priceSchema, (err) => {
        err && (
            errors.price
                = "Допустимое количество символов от 1 до 20"
        );
    });



    return errors;
};


export default createGoodsValidation;